<%@ Page Language="C#" MasterPageFile="~/membercenter/membercenter.Master" AutoEventWireup="true" CodeBehind="shop_leaveword_list.aspx.cs" Inherits="YXShop.Web.membercenter.shop.shop_administer.shop_leaveword_list" %>

<asp:Content ID="ContHead" runat="server" ContentPlaceHolderID="head">
<script src="../../../admin/scripts/public.js" type="text/javascript"></script>
<script src="../../../scripts/prototype.js" type="text/javascript"></script>
<link href="../../../style/validator.css" rel="stylesheet" type="text/css" />
<link href="../../../style/toolbar.css" rel="stylesheet" type="text/css" />
 <script type="text/javascript" language="javascript">
 function Del(id)
    { 
       if(confirm('确定要永久删除该信息吗?删除后将不能被恢复!'))
       {
            var param = "Option=del&id=" + id;
            var options = 
            { method: 'post',parameters: param,onComplete:
                 function(transport)
                 {
                     var retv = transport.responseText;
                     window.location.reload();
                 }
            }
        }
        else
        {
            return false;
        }
        new Ajax.Request('shop_leaveword_list.aspx', options);
    }
function SelectAll(tempControl)
{
      var theBox=tempControl;
      xState=theBox.checked;    
      elem=theBox.form.elements;
      for(i=0;i<elem.length;i++)
      if(elem[i].type=='checkbox' && elem[i].id!=theBox.id)
      {
        if(elem[i].checked!=xState)
           elem[i].click();
                        
      }
}   

 function DelAll(id)
    { 
       var idStr;
       if(id<0)
       {
            idStr = GetAllChecked();
            if(idStr == "")
            {
                alert("您没有选择要删除的信息!");
                return;
            }
       }
       else
       {
           idStr=id
       }
       if(confirm('确定要永久删除该信息吗?删除后将不能被恢复!'))
       {
            var param = "Option=delAll&id=" + idStr;
            var options = 
            { method: 'post',parameters: param,onComplete:
                 function(transport)
                 {
                     var retv = transport.responseText;
                     window.location.reload();
                 }
            }
        }
        else
        {
            return false;
        }
        new Ajax.Request('shop_leaveword_list.aspx', options);
    }
</script>
</asp:Content>
<asp:Content ID="ContTitle" runat="server" ContentPlaceHolderID="pagetitle">
店铺留言管理
</asp:Content>
<asp:Content ID="ContInfo" runat="server" ContentPlaceHolderID="pageinfo">
留言主题：<asp:TextBox ID="w_l_title"  runat="server"></asp:TextBox>
    <asp:LinkButton ID="linkSarch" runat="server" Text="查 询" 
        onclick="linkSarch_Click"></asp:LinkButton>
</asp:Content>
<asp:Content ID="ContSarch" runat="server" ContentPlaceHolderID="pagesarch">
<a href="#" onclick="DelAll(-1)">批量删除</a>
</asp:Content>
<asp:Content ID="ContMain" runat="server" ContentPlaceHolderID="workspace">
<asp:Literal ID="litlist" runat="server"></asp:Literal>
</asp:Content>